LIBRARY IEEE;
USE IEEE.STD_LOGIC_1164.ALL;

ENTITY test IS
END ENTITY;

ARCHITECTURE test_reg8 OF test IS
	SIGNAL wr,rd : STD_LOGIC;
	SIGNAL I : STD_LOGIC_VECTOR(7 DOWNTO 0);
	SIGNAL O : STD_LOGIC_VECTOR(7 DOWNTO 0);

BEGIN
	reg : ENTITY work.registre_8b PORT MAP(wr, rd, I, O);
	I <= "11001001";
	wr <= '1' AFTER 20 ns, '0' after 25 ns, '1' after 60 ns;
	rd <= '0', '1' After 40 ns;
END ARCHITECTURE;
